CMSIS-Driver: SAI Master Clock Pin

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SAI Master Clock Pin
SAI Configuration

Defines MCLK pin. More...

## Macros

#define | ARM_SAI_MCLK_PIN_INACTIVE (0UL << ARM_SAI_MCLK_PIN_Pos)
| MCLK not used (default) More...
#define | ARM_SAI_MCLK_PIN_OUTPUT (1UL << ARM_SAI_MCLK_PIN_Pos)
| MCLK is output (Master only) More...
#define | ARM_SAI_MCLK_PIN_INPUT (2UL << ARM_SAI_MCLK_PIN_Pos)
| MCLK is input (Master only) More...

## Description

Defines MCLK pin.

## Macro Definition Documentation

#define ARM_SAI_MCLK_PIN_INACTIVE (0UL << ARM_SAI_MCLK_PIN_Pos)

MCLK not used (default)

#define ARM_SAI_MCLK_PIN_OUTPUT (1UL << ARM_SAI_MCLK_PIN_Pos)

MCLK is output (Master only)

#define ARM_SAI_MCLK_PIN_INPUT (2UL << ARM_SAI_MCLK_PIN_Pos)

MCLK is input (Master only)